com.genesyslab.wfm8.API.service.forecast800

## Class FrcShrinkageData

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast800.FrcShrinkageData

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcShrinkageData
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `activityID` Activity ID
    `protected java.util.List<FrcData>` | `data` Overhead value array
    `protected double` | `end` End date
    `protected int` | `itemsDataArraySize` Overhead value array size
    `private static long` | `serialVersionUID`
    `protected double` | `start` Start date
    `protected int` | `stateGroupID` Schedule State Group ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcShrinkageData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getActivityID()` Gets the value of the activityID property.
    `java.util.List<FrcData>` | `getData()` Gets the value of the data property.
    `double` | `getEnd()` Gets the value of the end property.
    `int` | `getItemsDataArraySize()` Gets the value of the itemsDataArraySize property.
    `double` | `getStart()` Gets the value of the start property.
    `int` | `getStateGroupID()` Gets the value of the stateGroupID property.
    `int` | `hashCode()`
    `void` | `setActivityID(int value)` Sets the value of the activityID property.
    `void` | `setData(java.util.List<FrcData> value)` Sets the value of the data property.
    `void` | `setEnd(double value)` Sets the value of the end property.
    `void` | `setItemsDataArraySize(int value)` Sets the value of the itemsDataArraySize property.
    `void` | `setStart(double value)` Sets the value of the start property.
    `void` | `setStateGroupID(int value)` Sets the value of the stateGroupID property.
    `java.lang.String` | `toString()`
    `FrcShrinkageData` | `withActivityID(int value)`
    `FrcShrinkageData` | `withData(java.util.Collection<FrcData> values)`
    `FrcShrinkageData` | `withData(FrcData... values)`
    `FrcShrinkageData` | `withEnd(double value)`
    `FrcShrinkageData` | `withItemsDataArraySize(int value)`
    `FrcShrinkageData` | `withStart(double value)`
    `FrcShrinkageData` | `withStateGroupID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### activityID

          protected int activityID

      Activity ID

    - #### stateGroupID

          protected int stateGroupID

      Schedule State Group ID

    - #### start

          protected double start

      Start date

    - #### end

          protected double end

      End date

    - #### itemsDataArraySize

          protected int itemsDataArraySize

      Overhead value array size

    - #### data

          protected java.util.List<FrcData> data

      Overhead value array

  - ### Constructor Detail

    - #### FrcShrinkageData

          public FrcShrinkageData()

  - ### Method Detail

    - #### getActivityID

          public int getActivityID()

      Gets the value of the activityID property.

    - #### setActivityID

          public void setActivityID(int value)

      Sets the value of the activityID property.

    - #### getStateGroupID

          public int getStateGroupID()

      Gets the value of the stateGroupID property.

    - #### setStateGroupID

          public void setStateGroupID(int value)

      Sets the value of the stateGroupID property.

    - #### getStart

          public double getStart()

      Gets the value of the start property.

    - #### setStart

          public void setStart(double value)

      Sets the value of the start property.

    - #### getEnd

          public double getEnd()

      Gets the value of the end property.

    - #### setEnd

          public void setEnd(double value)

      Sets the value of the end property.

    - #### getItemsDataArraySize

          public int getItemsDataArraySize()

      Gets the value of the itemsDataArraySize property.

    - #### setItemsDataArraySize

          public void setItemsDataArraySize(int value)

      Sets the value of the itemsDataArraySize property.

    - #### getData

          public java.util.List<FrcData> getData()

      Gets the value of the data property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the data property.

      For example, to add a new item, do as follows:

              getData().add(newItem);

      Objects of the following type(s) are allowed in the list `FrcData`

    - #### setData

          public void setData(java.util.List<FrcData> value)

      Sets the value of the data property.

    - #### withActivityID

          public FrcShrinkageData withActivityID(int value)

    - #### withStateGroupID

          public FrcShrinkageData withStateGroupID(int value)

    - #### withStart

          public FrcShrinkageData withStart(double value)

    - #### withEnd

          public FrcShrinkageData withEnd(double value)

    - #### withItemsDataArraySize

          public FrcShrinkageData withItemsDataArraySize(int value)

    - #### withData

          public FrcShrinkageData withData(FrcData... values)

    - #### withData

          public FrcShrinkageData withData(java.util.Collection<FrcData> values)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.